<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\DozentenInfo\Detailsreiter\Kurse\vertragsformularpdf\VertragsformularDialog;

class VertragsformularDialogPresenter extends \Kufer\KuferTools\Basis\Presenter\Presenter
{
  protected function getView()
  {
    return new VertragsformularDialogView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new VertragsformularDialogViewModel();

    $viewModel->honorarbetrag = $this->useCaseResponse->honorarbetrag;
    $viewModel->semester = $this->useCaseResponse->semester;
    $viewModel->dnr = $this->useCaseResponse->dnr;
    $viewModel->knr = $this->useCaseResponse->knr;
    $viewModel->toolId = $this->useCaseResponse->toolId;

    return $viewModel;
  }
}